## visad.georef
Class UTMCoordinate

    java.lang.Object
      visad.ThingImpl
          visad.DataImpl
              visad.Tuple
                  visad.RealTuple
                      visad.georef.UTMCoordinate

All Implemented Interfaces:
  Cloneable, Data, RealTupleIface, Serializable, Thing, TupleIface

public class UTMCoordinate
extends RealTuple

RealTuple implementation of a Universal Transverse Mercator (UTM) coordinate

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class visad.DataImpl
`DataImpl.Syncher`

Nested classes inherited from class visad.ThingImpl
``

Field Summary
`static RealType` `EASTING` The `RealType` for the easting component of the UTM grid.
`static RealType` `HEMISPHERE` The `RealType` for the zone component of the UTM grid.
`static int` `NORTH` The hemisphere identifier for the northern hemisphere
`static RealType` `NORTHING` The `RealType` for the easting component of the UTM grid.
`static int` `SOUTH` The hemisphere identifier for the southern hemisphere
`static RealType` `ZONE` The `RealType` for the zone component of the UTM grid.

Fields inherited from class visad.Tuple
``

Fields inherited from class visad.DataImpl
``

Fields inherited from interface visad.Data

`ABS, ACOS, ACOS_DEGREES, ADD, ASIN, ASIN_DEGREES, ATAN, ATAN_DEGREES, ATAN2, ATAN2_DEGREES, CEIL, COS, COS_DEGREES, DEGREES_TO_RADIANS, DEPENDENT, DIVIDE, EXP, FLOOR, INDEPENDENT, INV_ATAN2, INV_ATAN2_DEGREES, INV_DIVIDE, INV_POW, INV_REMAINDER, INV_SUBTRACT, LOG, MAX, MIN, MULTIPLY, NEAREST_NEIGHBOR, NEGATE, NO_ERRORS, NOP, POW, RADIANS_TO_DEGREES, REMAINDER, RINT, ROUND, SIN, SIN_DEGREES, SQRT, SUBTRACT, TAN, TAN_DEGREES, WEIGHTED_AVERAGE`

Constructor Summary
`UTMCoordinate()` Construct a UTMCoordinate with missing values
`UTMCoordinate(double east, double north)` Construct a UTMCoordinate from double values of easting and northing.
`UTMCoordinate(double east, double north, double alt)` Construct a UTMCoordinate from double values of easting and northing and an altitude.
`UTMCoordinate(double east, double north, double alt, int zone)` Construct a UTMCoordinate from double values of easting and northing.
`UTMCoordinate(double east, double north, double alt, int zone, int hemi)` Construct a UTMCoordinate from double values of easting and northing, the zone and the hemisphere.
`UTMCoordinate(Real east, Real north)` Construct a UTMCoordinate from Reals representing the easting and northing.
`UTMCoordinate(Real east, Real north, Real alt)` Construct a UTMCoordinate from Reals representing the easting and northing and the zone.
`UTMCoordinate(Real east, Real north, Real alt, Real zone)` Construct a UTMCoordinate from Reals representing the easting and northing and the zone.
`UTMCoordinate(Real east, Real north, Real alt, Real zone, Real hemi)` Construct a UTMCoordinate from Reals representing the easting and northing, the zone and the hemisphere.
`UTMCoordinate(Real east, Real north, Real alt, Real zone, Real hemi, CoordinateSystem cs)` Construct a UTMCoordinate from Reals representing the easting and northing, the zone and the hemisphere.

Method Summary
`Real` `getAltitude()` Get the altitude of this point as a Real
`double` `getAltitudeValue()` Get the altitude value of this point.
`Real` `getEasting()` Get the easting value of this point as a Real
`double` `getEastingValue()` Get the easting value of this point as a Real
`Real` `getHemisphere()` Get the UTM hemisphere of this point as a Real
`int` `getHemisphereValue()` Get the UTM zone of this point
`Real` `getNorthing()` Get the northing of this point as a Real
`double` `getNorthingValue()` Get the northing of this point
`Real` `getZone()` Get the UTM zone of this point as a Real
`int` `getZoneValue()` Get the UTM zone of this point
`String` `toString()` Provide a String representation of this RealTuple.

Methods inherited from class visad.RealTuple
`addReference, binary, clone, computeRanges, getCoordinateSystem, getErrors, getTupleUnits, getValues, longString, main, removeReference, unary`

Methods inherited from class visad.Tuple
`__getitem__, __len__, adjustSamplingError, buildTupleType, equals, getComponent, getComponents, getDimension, getLength, getRealComponents, hashCode, isMissing, makeTuple`

Methods inherited from class visad.DataImpl

`__add__, __add__, __div__, __div__, __mod__, __mod__, __mul__, __mul__, __neg__, __pow__, __pow__, __radd__, __rdiv__, __rmod__, __rmul__, __rpow__, __rsub__, __sub__, __sub__, abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, max, max, min, min, multiply, multiply, negate, negate, notifyReferences, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary`

Methods inherited from class visad.ThingImpl
``

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface visad.TupleIface
`adjustSamplingError, getComponent, getDimension, getRealComponents, isMissing`

Methods inherited from interface visad.Data

`abs, abs, acos, acos, acosDegrees, acosDegrees, add, add, asin, asin, asinDegrees, asinDegrees, atan, atan, atan2, atan2, atan2Degrees, atan2Degrees, atanDegrees, atanDegrees, binary, ceil, ceil, changeMathType, computeRanges, computeRanges, cos, cos, cosDegrees, cosDegrees, dataClone, divide, divide, exp, exp, floor, floor, getType, local, log, log, longString, max, max, min, min, multiply, multiply, negate, negate, pow, pow, remainder, remainder, rint, rint, round, round, sin, sin, sinDegrees, sinDegrees, sqrt, sqrt, subtract, subtract, tan, tan, tanDegrees, tanDegrees, unary`

Field Detail

### EASTING

    public static RealType EASTING

  The `RealType` for the easting component of the UTM grid.

### NORTHING

    public static RealType NORTHING

  The `RealType` for the easting component of the UTM grid.

### ZONE

    public static RealType ZONE

  The `RealType` for the zone component of the UTM grid.

### HEMISPHERE

    public static RealType HEMISPHERE

  The `RealType` for the zone component of the UTM grid.

### NORTH

    public static final int NORTH

  The hemisphere identifier for the northern hemisphere

  See Also:
    Constant Field Values

### SOUTH

    public static final int SOUTH

  The hemisphere identifier for the southern hemisphere

  See Also:
    Constant Field Values

Constructor Detail

### UTMCoordinate

    public UTMCoordinate()
                  throws VisADException,
                         RemoteException

  Construct a UTMCoordinate with missing values

Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

### UTMCoordinate

    public UTMCoordinate(double east,
                         double north)
                  throws VisADException,
                         RemoteException

  Construct a UTMCoordinate from double values of easting and northing.

Parameters:
  `east` - easting component (meters) in the zone
  `north` - northing component (meters) in the zone
Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

### UTMCoordinate

    public UTMCoordinate(double east,
                         double north,
                         double alt)
                  throws VisADException,
                         RemoteException

  Construct a UTMCoordinate from double values of easting and northing and an altitude.

Parameters:
  `east` - easting component (meters) in the zone
  `north` - northing component (meters) in the zone
  `alt` - altitude of the point
Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

### UTMCoordinate

    public UTMCoordinate(double east,
                         double north,
                         double alt,
                         int zone)
                  throws VisADException,
                         RemoteException

  Construct a UTMCoordinate from double values of easting and northing. Unknown zone and northern hemisphere used

Parameters:
  `east` - easting component (meters) in the zone
  `north` - northing component (meters) in the zone
  `alt` - altitude of the point
  `zone` - UTM zone
Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

### UTMCoordinate

    public UTMCoordinate(double east,
                         double north,
                         double alt,
                         int zone,
                         int hemi)
                  throws VisADException,
                         RemoteException

  Construct a UTMCoordinate from double values of easting and northing, the zone and the hemisphere.

Parameters:
  `east` - easting component (meters) in the zone
  `north` - northing component (meters) in the zone
  `alt` - altitude of the point
  `zone` - UTM zone
  `hemi` - UTM hemisphere
Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

### UTMCoordinate

    public UTMCoordinate(Real east,
                         Real north)
                  throws VisADException,
                         RemoteException

  Construct a UTMCoordinate from Reals representing the easting and northing.

Parameters:
  `east` - Real representing easting (must have MathType EASTING)
  `north` - Real representing northing (must have MathType NORTHING)
Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

### UTMCoordinate

    public UTMCoordinate(Real east,
                         Real north,
                         Real alt)
                  throws VisADException,
                         RemoteException

  Construct a UTMCoordinate from Reals representing the easting and northing and the zone.

Parameters:
  `east` - Real representing easting (must have MathType EASTING)
  `north` - Real representing northing (must have MathType NORTHING)
Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

### UTMCoordinate

    public UTMCoordinate(Real east,
                         Real north,
                         Real alt,
                         Real zone)
                  throws VisADException,
                         RemoteException

  Construct a UTMCoordinate from Reals representing the easting and northing and the zone.

Parameters:
  `east` - Real representing easting (must have MathType EASTING)
  `north` - Real representing northing (must have MathType NORTHING)
Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

### UTMCoordinate

    public UTMCoordinate(Real east,
                         Real north,
                         Real alt,
                         Real zone,
                         Real hemi)
                  throws VisADException,
                         RemoteException

  Construct a UTMCoordinate from Reals representing the easting and northing, the zone and the hemisphere.

Parameters:
  `east` - Real representing easting (must have MathType EASTING)
  `north` - Real representing northing (must have MathType NORTHING)
  `zone` - Real representing UTM zone
  `hemi` - Real representing hemisphere
Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

### UTMCoordinate

    public UTMCoordinate(Real east,
                         Real north,
                         Real alt,
                         Real zone,
                         Real hemi,
                         CoordinateSystem cs)
                  throws VisADException,
                         RemoteException

  Construct a UTMCoordinate from Reals representing the easting and northing, the zone and the hemisphere. Use the CoordinateSystem supplied to do any transforms.

Parameters:
  `east` - Real representing easting (must have MathType EASTING)
  `north` - Real representing northing (must have MathType NORTHING)
  `zone` - Real representing UTM zone
  `hemi` - Real representing hemisphere
  `cs` - CoordinateSystem
Throws:
  `VisADException` - couldn't create the necessary VisAD object
  `RemoteException` - couldn't create the necessary remote object

Method Detail

### getEasting

    public Real getEasting()

  Get the easting value of this point as a Real

  Returns:
    Real representing the easting

### getNorthing

    public Real getNorthing()

  Get the northing of this point as a Real

  Returns:
    Real representing the northing

### getAltitude

    public Real getAltitude()

  Get the altitude of this point as a Real

  Returns:
    Real representing the altitude. May be missing.

### getZone

    public Real getZone()

  Get the UTM zone of this point as a Real

  Returns:
    Real representing the UTM zone

### getHemisphere

    public Real getHemisphere()

  Get the UTM hemisphere of this point as a Real

  Returns:
    Real representing the UTM hemisphere

### getEastingValue

    public double getEastingValue()

  Get the easting value of this point as a Real

  Returns:
    double representing the easting in meters

### getNorthingValue

    public double getNorthingValue()

  Get the northing of this point

  Returns:
    double representing the northing

### getAltitudeValue

    public double getAltitudeValue()

  Get the altitude value of this point.

  Returns:
    double representing the altitude in meters

### getZoneValue

    public int getZoneValue()

  Get the UTM zone of this point

  Returns:
    int representing the UTM zone

### getHemisphereValue

    public int getHemisphereValue()

  Get the UTM zone of this point

  Returns:
    int representing the UTM zone

### toString

    public String toString()

  Description copied from class: `RealTuple`
  Provide a String representation of this RealTuple.

  Specified by:
    `toString` in interface `RealTupleIface`
  Overrides:
    `toString` in class `RealTuple`